KABC::BinaryFormat class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::BinaryFormat Class Reference

binary file format for addressbook entries. More...

`#include <binaryformat.h>`

Inheritance diagram for KABC::BinaryFormat:

[legend]
Collaboration diagram for KABC::BinaryFormat:

[legend]
List of all members.

## Public Member Functions
bool | load (Addressee &, QFile *file)
| Load single addressee from file.
bool | loadAll (AddressBook *, Resource *, QFile *file)
| Load whole addressee from file.
void | save (const Addressee &, QFile *file)
| Save single addressee to file.
void | saveAll (AddressBook *, Resource *, QFile *file)
| Save all addressees to file.
bool | checkFormat (QFile *file) const
| Check for valid format of a file.

## Detailed Description

binary file format for addressbook entries.

Definition at line 33 of file binaryformat.h.

## Member Function Documentation

bool BinaryFormat::load | ( | Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Load single addressee from file. Implements KABC::FormatPlugin. Definition at line 47 of file binaryformat.cpp.

bool BinaryFormat::loadAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Load whole addressee from file. Implements KABC::FormatPlugin. Definition at line 60 of file binaryformat.cpp. References KABC::AddressBook::insertAddressee(), and KABC::Addressee::setResource().

void BinaryFormat::save | ( | const Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Save single addressee to file. Implements KABC::FormatPlugin. Definition at line 83 of file binaryformat.cpp.

void BinaryFormat::saveAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Save all addressees to file. Implements KABC::FormatPlugin. Definition at line 96 of file binaryformat.cpp. References KABC::AddressBook::begin(), QDataStream::device(), and KABC::AddressBook::end().

bool BinaryFormat::checkFormat | ( | QFile * | file | ) | const`[virtual]`

| Check for valid format of a file. Implements KABC::FormatPlugin. Definition at line 121 of file binaryformat.cpp.

The documentation for this class was generated from the following files:

- binaryformat.h
- binaryformat.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:45 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001